PDA

View Full Version : wagon fails when upgrading SLES SP2 -> SP3



gjorgji
07-Aug-2013, 20:43
When running wagon to upgrade SP2 to SP3, I got the following error from yast:

https://dl.dropboxusercontent.com/u/31699449/sp3_wagon.PNG

From the logs:

2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] Wagon.ycp:903 Running hooks for step: after_set_migration_repo
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] Wagon.ycp:858 No hook scripts found
2013-08-07 14:24:40 <1> pus-db-05(8551) [Interpreter] wagon/common_func.ycp:204 Called YaST client returned.
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] wagon/common_func.ycp:1309 Calling `wagon_dup_repositories ($["enable_back":true, "enable_next":true]) returned `next
2013-08-07 14:24:40 <1> pus-db-05(8551) [ui] YPushButton.cc(setFunctionKey):204 Guessing button role YOKButton for YPushButton "Next" at 0x1ff8ec0 from function key F10
2013-08-07 14:24:40 <1> pus-db-05(8551) [ui] YPushButton.cc(setFunctionKey):204 Guessing button role YCancelButton for YPushButton "Abort" at 0x32d1ce0 from function key F9
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] ProductControl.ycp:1219 Current step: $["heading":"yes", "id":"normal_14", "label":"Migration"]
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] ProductControl.ycp:1219 Current step: $["execute":"inst_proposal", "id":"normal_15", "label":"Update", "name":"wagon_proposal", "proposal":"wagon_proposal"]
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] ProductControl.ycp:338 Step name 'wagon_proposal' executes 'inst_proposal'
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] ProductControl.ycp:1278 Running module: `inst_proposal ($["enable_back":true, "enable_next":true, "proposal":"wagon_proposal"]) (12)
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] ProductControl.ycp:1282 Calling `inst_proposal ($["enable_back":true, "enable_next":true, "proposal":"wagon_proposal"])
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] ProductControl.ycp:338 Step name 'wagon_proposal' executes 'inst_proposal'
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (AutoinstConfig)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (FTP)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (HTTP)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (StorageDevices)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (HwStatus)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (TFTP)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (InstData)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (Storage)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (FileSystems)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (Partitions)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (StorageClients)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (Hotplug)
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2WFMComponent.cc(import):751 Y2WFMComponent::import (ModuleLoading)
2013-08-07 14:24:40 <3> pus-db-05(8551) [Parser] installation/misc.ycp:142 Unknown identifier 'Storage::GetCommitInfo'
2013-08-07 14:24:40 <3> pus-db-05(8551) [Parser] installation/misc.ycp:142 syntax error, unexpected SCANNER_ERROR
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2CCWFM.cc(createInLevel):148 Parsing finished
2013-08-07 14:24:40 <1> pus-db-05(8551) [Interpreter] installation/misc.ycp:137 Calling YaST client inst_proposal
2013-08-07 14:24:40 <5> pus-db-05(8551) [liby2] Y2Component.cc(doActualWork):67 component ErrorComponent: stub function Y2Component::doActualWork() called
2013-08-07 14:24:40 <1> pus-db-05(8551) [Interpreter] installation/misc.ycp:137 Called YaST client returned.
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] installation/misc.ycp:1309 Calling `inst_proposal ($["enable_back":true, "enable_next":true, "proposal":"wagon_proposal"]) returned nil
2013-08-07 14:24:40 <1> pus-db-05(8551) [ui] YPushButton.cc(setFunctionKey):204 Guessing button role YOKButton for YPushButton "Next" at 0x1ff8ec0 from function key F10
2013-08-07 14:24:40 <1> pus-db-05(8551) [ui] YPushButton.cc(setFunctionKey):204 Guessing button role YCancelButton for YPushButton "Abort" at 0x32d1ce0 from function key F9
2013-08-07 14:24:41 <1> pus-db-05(8551) [ui] YPushButton.cc(setFunctionKey):204 Guessing button role YCancelButton for YPushButton "Quit" at 0x1b95b50 from function key F9
2013-08-07 14:24:41 <1> pus-db-05(8551) [ui] YPushButton.cc(setFunctionKey):204 Guessing button role YOKButton for YPushButton "Next" at 0x1b95fc0 from function key F10

any help is appreciated.

jmozdzen
07-Aug-2013, 22:19
Hi gjorgji,


When running wagon to upgrade SP2 to SP3, I got the following error from yast:

https://dl.dropboxusercontent.com/u/31699449/sp3_wagon.PNG

From the logs:

2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] Wagon.ycp:903 Running hooks for step: after_set_migration_repo
[...]
2013-08-07 14:24:40 <1> pus-db-05(8551) [YCP] ProductControl.ycp:1278 Running module: `inst_proposal ($["enable_back":true, "enable_next":true, "proposal":"wagon_proposal"]) (12)
[...]
2013-08-07 14:24:40 <3> pus-db-05(8551) [Parser] installation/misc.ycp:142 Unknown identifier 'Storage::GetCommitInfo'
2013-08-07 14:24:40 <3> pus-db-05(8551) [Parser] installation/misc.ycp:142 syntax error, unexpected SCANNER_ERROR
2013-08-07 14:24:40 <1> pus-db-05(8551) [wfm] Y2CCWFM.cc(createInLevel):148 Parsing finished
[...]

any help is appreciated.

it seems to me you've hit a syntax error in installation/misc.ycp - could you please use rpm to verify the package status?

you@yourhost:~> rpm -V yast2-installation
you@yourhost:~>
If nothing is reported, then the files are as distributed and you ought to file a bug report (i.e. via your support contract). If inconsistencies are reported, I recommend to reinstall that RPM (and to verify all other RPMs, too, in case something went havoc in other places as well).

Regards,
Jens

gjorgji
07-Aug-2013, 22:27
Nothing is reported. Might have to open bug report for this.

jmozdzen
07-Aug-2013, 22:36
Hi gjorgji,

> Nothing is reported.

too bad - it would have been easier to fix a corrupted RPM...

> Might have to open bug report for this.

Are you under a support contract? It might be easier to open a service request then. If not, please let me know the bugzilla bug number, I'd like to monitor the progress then.

Regards,
Jens

gjorgji
07-Aug-2013, 22:48
Thanks Jens for your help. We have just basic support(updates only) so I cannot create SR. I've noticed one more problem: Our smt mirror credentials is missing the SLES 11 SP3-Core repo. Called Novell and apparently they are working on fixing the problem.


Hi gjorgji,

> Nothing is reported.

too bad - it would have been easier to fix a corrupted RPM...

> Might have to open bug report for this.

Are you under a support contract? It might be easier to open a service request then. If not, please let me know the bugzilla bug number, I'd like to monitor the progress then.

Regards,
Jens

jmozdzen
07-Aug-2013, 22:57
Hi gjorgji,


Thanks Jens for your help. We have just basic support(updates only) so I cannot create SR. I've noticed one more problem: Our smt mirror credentials is missing the SLES 11 SP3-Core repo. Called Novell and apparently they are working on fixing the problem.

if it's not too much trouble, I ask you to report back if this problem was something caused by some back-end system that Novell could fix: If others get to this thread after running into the same symptoms, this would lead them the way.

Thanks in advance & hope your problems gets fixed quickly

Jens

gjorgji
08-Aug-2013, 04:59
Sure, will update this thread with the progress. As per Novell, apparently you don't need SP3 Core repo to update from SP2 to SP3. This is contradictory to their documentation:

https://www.suse.com/documentation/sles11/singlehtml/book_sle_deployment/book_sle_deployment.html#sec.update.sle11spx.manag er

step 5: zypper modifyrepo --enable SLES11-SP3-Core SLES11-SP3-Updates


Hi gjorgji,



if it's not too much trouble, I ask you to report back if this problem was something caused by some back-end system that Novell could fix: If others get to this thread after running into the same symptoms, this would lead them the way.

Thanks in advance & hope your problems gets fixed quickly

Jens

gjorgji
16-Aug-2013, 15:01
Just short update: Novell was everything but helpful in this case. Quick solution is: burn DVD with SP3 and do the upgrade with booting from that. Works fine like that.



Sure, will update this thread with the progress. As per Novell, apparently you don't need SP3 Core repo to update from SP2 to SP3. This is contradictory to their documentation:

https://www.suse.com/documentation/sles11/singlehtml/book_sle_deployment/book_sle_deployment.html#sec.update.sle11spx.manag er

step 5: zypper modifyrepo --enable SLES11-SP3-Core SLES11-SP3-Updates